binary_search.hpp File Reference

## Functions

template<typename I , typename S , typename V , typename C = less, typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::b (requires ` forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< C, V const *, projected< I, P >>) bbbool binary_search(I first
| function template `binary_search` More...

## Variables

CPP_TEMPLATE_AUX_0 S V const C P | ranges::V
CPP_TEMPLATE_AUX_0 S V const & | ranges::val